/**
 * @author takayuki
 * コントロール用（HTMLを表示させてから機能をObjectに割り当てる）
 */

function moonAgeCtrl(){

	var imgUrl = "http://taka-hon.jpn.org/jpn/lib/moonAge/img/";
	var pDate = new Date();

	this.reset = function(){
		pDate = new Date();
		this.update();
	};

	this.next = function(n){
		pDate.setDate(pDate.getDate()+n);
		this.update();
	};

	this.update = function(){
		var geturei = 0;
		var shio = "";
		var nDate = new Date(pDate);

		for(var i=0; i<5; i++){
			geturei = moonAgeObj.getGeturei(nDate);
			shio = moonAgeObj.getShio(nDate);
			document.getElementById("md"+i).innerHTML = (nDate.getMonth()+1) + "/" + nDate.getDate();
			document.getElementById("mda"+i).innerHTML = ["日","月","火","水","木","金","土"][nDate.getDay()];
			document.getElementById("ms"+i).innerHTML = shio;
			document.getElementById("mr"+i).innerHTML = geturei;
			document.images["mi"+i].src = imgUrl + "m" + geturei + "-01s.jpg";

			if(shio=="大潮"){
				document.getElementById("ms"+i).style.color = "#FF0000";
			}else{
				document.getElementById("ms"+i).style.color = "#000000";
			}

			if(nDate.getDay()==6){
				document.getElementById("mda"+i).style.backgroundColor = "#8888FF";
			}else if(nDate.getDay()==0){
				document.getElementById("mda"+i).style.backgroundColor = "#FF8888";
			}else{
				document.getElementById("mda"+i).style.backgroundColor = "#DDDDFF";
			}

			nDate.setDate(nDate.getDate()+1);

		}
	};
}

